# History Config
setopt interactivecomments
setopt EXTENDED_HISTORY
setopt HIST_EXPIRE_DUPS_FIRST
setopt HIST_IGNORE_DUPS
setopt HIST_IGNORE_ALL_DUPS
setopt HIST_IGNORE_SPACE
setopt HIST_FIND_NO_DUPS
setopt HIST_SAVE_NO_DUPS
setopt HIST_BEEP
setopt INC_APPEND_HISTORY
setopt HIST_FCNTL_LOCK
setopt SHARE_HISTORY
setopt AUTO_CD

HISTORY_IGNORE='(*.git/hooks*)'
LESSHISTFILE="-"
HISTFILE="$ZDOTDIR/zsh_history_$HOST"
HISTFILESIZE=100000
HISTSIZE=100000
SAVEHIST=100000

MNML_INFOLN=()
MNML_PROMPT=(mnml_ssh mnml_status 'mnml_cwd 2 0' mnml_git mnml_keymap )
MNML_RPROMPT=()
MNML_NORMAL_CHAR="◉"

# Environment variables
export FZF_DEFAULT_OPTS='--height 40% --layout=reverse --border'
export FZF_DEFAULT_COMMAND='fd --type f'

export COREPACK_ENABLE_DOWNLOAD_PROMPT=0
export COREPACK_ENABLE_NETWORK_RESOLUTION=1
export COREPACK_ENABLE_STRICT_VERIFICATION=0
